package com.nantian.cloud.jly.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jly.entity.CheckItems;
import com.nantian.cloud.jly.mapper.CheckItemsMapper;
import com.nantian.cloud.jly.service.CheckItemsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigInteger;
import java.util.List;
import java.util.Map;

/**
 *
 * @date 2018-09-27
 */
@Service("CheckItemsService")
public class CheckItemsServiceImpl extends ServiceImpl<CheckItemsMapper, CheckItems> implements CheckItemsService {

    @Resource
    private CheckItemsMapper checkItemsMapper;

    public List<Map> getCheckItemsForReport(String checkPlanId, String epc, String checkResult){
        return checkItemsMapper.getCheckItemsForReport(checkPlanId,epc,checkResult);
    }

    @Override
    public List<CheckItems> queryItems(BigInteger checkPlanId, String epc) {
        return checkItemsMapper.queryItems(checkPlanId,epc);
    }

    @Override
    public List<Map> getNoN(Integer checkPlanId, String[] epcList) {
        return (checkItemsMapper.getNoN(checkPlanId,epcList));
    }
}

